%global _TOMCAT "%{_datadir}/tomcat"

Name: oat
Summary: Attestation Service & Host Agent based on OpenAttestation SDK
Version: 2.2.0
Release: 22%{?dist}
License: BSD
Group: Applications/System
URL: https://github.com/OpenAttestation/OpenAttestation
Source0: OpenAttestation-%{version}.tar.gz
Source1: OAT_Configure.sh
Source2: mysql_drop.sh
Source3: oat_function
Source4: tagent.service
# this patch is just for fedora packaging
Patch0: oat-%{version}-fedora-build.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: maven
BuildRequires: zip
BuildRequires: make
BuildRequires: trousers-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: makeself
BuildRequires: java-1.8.0-openjdk-devel
BuildRequires: openssl >= 1.0.1e
BuildRequires: jboss-ejb-3.2-api
BuildRequires: glassfish-servlet-api
BuildRequires: javax.resource
BuildRequires: jotm
BuildRequires: glassfish-jsp
BuildRequires: geronimo-jaxrpc
BuildRequires: glassfish-jaxws-tools
BuildRequires: sun-jaf
BuildRequires: bouncycastle
BuildRequires: bouncycastle-pkix
BuildRequires: jsr-311
BuildRequires: jersey
BuildRequires: jboss-jstl-api_1.2
BuildRequires: maven-local
BuildRequires: xmvn
BuildRequires: mysql-connector-java
BuildRequires: postgresql-jdbc
BuildRequires: logback
BuildRequires: apache-commons-math
BuildRequires: powermock-junit4
BuildRequires: mockito
BuildRequires: maven-dependency-plugin
BuildRequires: maven-shade-plugin
BuildRequires: sun-saaj-1.3-api
BuildRequires: sun-saaj-1.3-impl
BuildRequires: geronimo-saaj
BuildRequires: wsdl4j
BuildRequires: axis
BuildRequires: exec-maven-plugin
BuildRequires: maven-war-plugin
BuildRequires: apache-commons-fileupload
BuildRequires: google-gson
BuildRequires: springframework-webmvc
BuildRequires: powermock-api-mockito
BuildRequires: geronimo-jpa

%description
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.

%package appraiser
Summary: Appraisal Server for OpenAttestation
Requires: openssl >= 1.0.1e
Requires: mysql-server
Requires: unzip
Requires: tomcat
Requires: java-1.8.0-openjdk
Requires: aopalliance
Requires: apache-commons-beanutils
Requires: apache-commons-codec
Requires: apache-commons-collections
Requires: apache-commons-configuration
Requires: apache-commons-dbcp
Requires: apache-commons-io
Requires: apache-commons-lang3
Requires: apache-commons-logging
Requires: apache-commons-math
Requires: apache-commons-pool
Requires: apache-commons-cli
Requires: avalon-framework
Requires: avalon-logkit
Requires: bea-stax-api
Requires: bouncycastle
Requires: bouncycastle-pg
Requires: bouncycastle-mail
Requires: bouncycastle-pkix
Requires: carol
Requires: carol-interceptors
Requires: carol-irmi
Requires: plexus-classworlds
Requires: geronimo-jaxrpc
Requires: geronimo-jpa
Requires: glassfish-dtd-parser
Requires: glassfish-fastinfoset
Requires: glassfish-gmbal
Requires: glassfish-ha-api
Requires: glassfish-jsp
Requires: glassfish-management-api
Requires: glassfish-policy
Requires: glassfish-saaj
Requires: glassfish-servlet-api
Requires: glassfish-jaxb
Requires: glassfish-jaxws
Requires: glassfish-jaxws-tools
Requires: springframework
Requires: springframework-ws
Requires: springframework-aop
Requires: springframework-beans
Requires: springframework-context
Requires: springframework-expression
Requires: springframework-instrument
Requires: springframework-jdbc
Requires: springframework-jms
Requires: springframework-oxm
Requires: springframework-struts
Requires: springframework-tx
Requires: springframework-web
Requires: springframework-webmvc
Requires: google-gson
Requires: guava
Requires: hibernate-jpa-2.0-api
Requires: howl-logger
Requires: httpcomponents-core
Requires: httpcomponents-project
Requires: httpcomponents-client
Requires: istack-commons
Requires: jacorb
Requires: jaf   >= 1.0.1
Requires: javax.resource
Requires: javax.transaction
Requires: jaxen
Requires: jersey
Requires: jboss-jaxws-2.2-api
Requires: jboss-jstl-api_1.2
Requires: jettison
Requires: joda-time
Requires: jotm
Requires: jsr-305
Requires: jsr-311
Requires: jackson-core
Requires: jackson
Requires: junit
Requires: j2ee-connector
Requires: mimepull
Requires: mysql-connector-java
Requires: ow2-jta-1.1-spec
Requires: stax-ex
Requires: p6spy
Requires: stax2-api
Requires: sun-jaf
Requires: sun-saaj-1.3-api
Requires: sun-saaj-1.3-impl
Requires: txw2
Requires: wsdl4j
Requires: xml-commons-apis
Requires: xml-commons-resolver
Requires: xmlstreambuffer
Requires: axis
Requires: eclipselink
Requires: glassfish-pfl
Requires: hamcrest
Requires: javax.persistence
Requires: logback
Requires: objectweb-asm
Requires: plexus-containers
Requires: slf4j


%description appraiser
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.
This package provides the OAT appraisal server.

%package client
Summary: Host Agent for OpenAttestation
Requires: openssl >= 1.0.1e
Requires: trousers
Requires: unzip
Requires: java-1.8.0-openjdk-devel
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires:apache-commons-codec
Requires:apache-commons-lang3
Requires:apache-commons-configuration
Requires:apache-commons-lang
Requires:apache-commons-io
Requires:apache-commons-dbcp
Requires:slf4j
Requires:bouncycastle
Requires:apache-commons-math
Requires:apache-commons-beanutils
Requires:plexus-classworlds
Requires:apache-commons-pool
Requires:apache-commons-logging
Requires:plexus-utils
Requires:geronimo-jpa
Requires:eclipselink
Requires:jersey
Requires:objectweb-asm
Requires:jotm
Requires:apache-commons-collections
Requires:jaxen
Requires:ow2-jta-1.1-spec
Requires:xml-commons-apis
Requires:plexus-containers-component-annotations
Requires:plexus-containers-container-default
Requires:jacorb
Requires:maven-profile
Requires:maven-artifact
BuildRequires: systemd

%description client
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.

This package provides the host agent which uses Java and the NIARL TPM
Module to acquire integrity measurement data from the host's Trusted
Platform Module (TPM).

The data is compiled into an integrity report and sent to the OAT appraisal
server.

%package commandtool
Summary: Command line tools for OpenAttestation
Requires: curl
Requires: openssl >= 1.0.1e

BuildArch: noarch

%description commandtool
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.

This package provides a number of command line tools which are useful for
interacting with a OAT appraisal server.

%package doc
Summary: Documentation for OpenAttestation
BuildArch: noarch

%description doc
OpenAttestation (OAT) is a open source project providing a SDK for managing
host integrity verification using TCG-defined remote attestation protocol,
targeting to be integrated into cloud and enterprise management tools.

This package provides the documentation for OpenAttestation.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
BuildArch: noarch

%description javadoc
Java documentation for %{name}.


%prep
%setup -q -n OpenAttestation-%{version}
%patch0 -p1
%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-webdav-jackrabbit']]"
%pom_xpath_remove "pom:build/pom:extensions" trust-agent/his-clients/pom.xml
%pom_xpath_remove "pom:build/pom:extensions" trust-agent/TrustAgent/pom.xml
%pom_remove_plugin :svn-revision-number-maven-plugin
%pom_remove_dep org.slf4j:slf4j-api common/crypto/pom.xml
%pom_add_dep org.slf4j:slf4j-api common/crypto/pom.xml
%pom_remove_dep org.glassfish:javax.servlet common/jpa/pom.xml
%pom_remove_dep org.glassfish:javax.resource common/jpa/pom.xml
%pom_remove_dep org.eclipse.persistence:javax.persistence common/jpa/pom.xml
%pom_add_dep org.eclipse.persistence:javax.persistence common/jpa/pom.xml
%pom_remove_dep org.ow2.jotm:jotm-core common/jpa/pom.xml
%pom_remove_dep com.sun.xml.bind:jaxb integration/api-client-jar/pom.xml
%pom_remove_dep javax.servlet.jsp:jsp-api trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep javax.xml:jaxrpc trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep javax.xml.ws:jaxws-api trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep javax.xml.bind:jsr173_api trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep javax.jws:jsr181-api trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep com.sun.org.apache.xml.internal:resolver trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep jaxb:activation trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep javax.servlet:servlet-api trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep org.glassfish:javax.servlet trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep org.glassfish:javax.servlet.jsp trust-agent/HisPrivacyCAWebServices2/pom.xml
%pom_remove_dep commons-codec:commons-codec  trust-agent/PrivacyCA/pom.xml
%pom_remove_dep org.bouncycastle:bcprov-jdk15on  trust-agent/PrivacyCA/pom.xml
%pom_remove_dep org.codehaus.plexus:plexus-utils  trust-agent/PrivacyCA/pom.xml
%pom_add_dep commons-codec:commons-codec  trust-agent/PrivacyCA/pom.xml
%pom_add_dep org.bouncycastle:bcprov-jdk15on  trust-agent/PrivacyCA/pom.xml
%pom_add_dep org.codehaus.plexus:plexus-utils  trust-agent/PrivacyCA/pom.xml
%pom_remove_dep org.glassfish:javax.ejb  services/AttestationService/pom.xml
%pom_remove_dep org.glassfish:javax.servlet  services/AttestationService/pom.xml
%pom_remove_dep org.glassfish.embedded:gf-embedded-api  services/AttestationService/pom.xml
%pom_remove_dep com.jayway.restassured:rest-assured  services/AttestationService/pom.xml
%pom_remove_dep javax.ws.rs:jsr311-api  services/AttestationService/pom.xml
%pom_remove_dep  org.glassfish.distributions:web-all services/AttestationService/pom.xml
%pom_remove_dep org.glassfish:javax.ejb services/WLMService/pom.xml
%pom_remove_dep org.glassfish:javax.servlet services/WLMService/pom.xml
%pom_remove_dep org.glassfish.embedded:gf-embedded-api services/WLMService/pom.xml
%pom_remove_dep com.jayway.restassured:rest-assured services/WLMService/pom.xml
%pom_remove_dep javax.ws.rs:jsr311-api services/WLMService/pom.xml
%pom_remove_dep org.glassfish:javax.ejb portals/WhiteListPortal/pom.xml
%pom_remove_dep org.glassfish:javax.servlet portals/WhiteListPortal/pom.xml
%pom_remove_dep com.sun.jersey:jersey-bundle portals/WhiteListPortal/pom.xml
%pom_remove_dep javax.servlet.jsp.jstl:javax.servlet.jsp.jstl-api portals/WhiteListPortal/pom.xml
%pom_remove_dep org.glassfish:javax.ejb portals/TrustDashBoard/pom.xml
%pom_remove_dep org.glassfish:javax.servlet portals/TrustDashBoard/pom.xml
%pom_remove_dep com.sun.jersey:jersey-bundle portals/TrustDashBoard/pom.xml
%pom_remove_dep javax.servlet.jsp.jstl:javax.servlet.jsp.jstl-api portals/TrustDashBoard/pom.xml


jar xf /usr/share/java/glassfish-servlet-api.jar
jar xf /usr/share/java/javax.resource-1.5.0.jar
jar xf /usr/share/java/jotm/jotm.jar
jar xf /usr/share/java/glassfish-jsp.jar
jar xf /usr/share/java/jaxrpc.jar
jar xf /usr/share/java/jboss-jaxws-2.2-api/jboss-jaxws-api_2.2_spec.jar
jar xf /usr/share/java/jsr-305.jar
jar xf /usr/share/java/jaf.jar
jar xf /usr/share/java/bcprov.jar
jar xf /usr/share/java/objectweb-asm/asm-all.jar
jar xf /usr/share/java/javax.ws.rs/jsr-311.jar
jar xf /usr/share/java/jboss-ejb-3.2-api.jar
jar xf /usr/share/java/jersey/jersey-core.jar
jar xf /usr/share/java/jboss-jstl-api_1.2.jar



%build
make -C trust-agent/TrustAgentLinuxInstaller/src/files/commands/TPMModule/plain/linux/
#mvn -e clean install
%mvn_build

%install
###################
#### appraiser ####
###################
install -d %{buildroot}%{_sysconfdir}/intel/cloudsecurity
install -d %{buildroot}%{_datadir}/oat-appraiser
install -d %{buildroot}%{_datadir}/oat-appraiser/webapps/AttestationService
install -d %{buildroot}%{_datadir}/oat-appraiser/webapps/HisPrivacyCAWebServices2
install -d %{buildroot}%{_datadir}/oat-appraiser/webapps/TrustDashBoard
install -d %{buildroot}%{_datadir}/oat-appraiser/webapps/WhiteListPortal
install -d %{buildroot}%{_datadir}/oat-appraiser/webapps/WLMService
install -d %{buildroot}%{_sharedstatedir}/oat-appraiser
install -d %{buildroot}%{_localstatedir}/log/oat
install -d %{buildroot}%{_datadir}/tomcat/Certificate
install -d %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 database/mysql/src/main/resources/com/intel/mtwilson/database/mysql/mtwilson.sql \
    %{buildroot}%{_datadir}/oat-appraiser
install -D -m 755 common/io/target/oat-io-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 common/validation/target/oat-validation-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 common/crypto/target/oat-crypto-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 common/jpa/target/oat-jpa-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 services/webservice-util/target/webservice-util-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 services/trust-utils-jar/target/trust-util-jar-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 services/ASCommon/target/ASCommon-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 services/ASData/target/ASData-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 database/postgres/target/oat-postgres-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 database/mysql/target/oat-mysql-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 trust-agent/TrustAgent/target/TrustAgent-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 trust-agent/HisPrivacyCAWebServices2/target/HisPrivacyCAWebServices2-2.2-setup.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 trust-agent/HisPrivacyCAWebServices2/target/HisPrivacyCAWebServices2-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 trust-agent/PrivacyCA/target/PrivacyCA-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 integration/api-client-jar/target/api-client-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 integration/http-authorization/target/http-authorization-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 integration/api-datatypes-jar/target/api-datatypes-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 services/AttestationService/target/AttestationService-2.2/WEB-INF/lib/AttestationService-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 services/WLMService/target/WLMService-2.2/WEB-INF/lib/WLMService-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 portals/WhiteListPortal/target/WhiteListPortal-2.2/WEB-INF/lib/WhiteListPortal-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 portals/TrustDashBoard/target/TrustDashBoard-2.2/WEB-INF/lib/TrustDashBoard-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 trust-agent/HisPrivacyCAWebServices2/target/HisPrivacyCAWebServices2-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 ./trust-agent/HisPrivacyCAWebServices2/target/HisPrivacyCAWebServices2-2.2-setup.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser/HisPrivacyCAWebServices2-setup.jar
unzip portals/TrustDashBoard/target/TrustDashBoard-2.2-core.war \
    -d %{buildroot}%{_datadir}/oat-appraiser/webapps/TrustDashBoard
rm -rf %{buildroot}%{_datadir}/oat-appraiser/webapps/TrustDashBoard/WEB-INF/lib
unzip portals/WhiteListPortal/target/WhiteListPortal-2.2-core.war \
    -d %{buildroot}%{_datadir}/oat-appraiser/webapps/WhiteListPortal
rm -rf %{buildroot}%{_datadir}/oat-appraiser/webapps/WhiteListPortal/WEB-INF/lib
unzip services/WLMService/target/WLMService-2.2-core.war \
    -d %{buildroot}%{_datadir}/oat-appraiser/webapps/WLMService
rm -rf %{buildroot}%{_datadir}/oat-appraiser/webapps/WLMService/WEB-INF/lib
unzip services/AttestationService/target/AttestationService-2.2-core.war \
    -d %{buildroot}%{_datadir}/oat-appraiser/webapps/AttestationService
rm -rf %{buildroot}%{_datadir}/oat-appraiser/webapps/AttestationService/WEB-INF/lib
unzip trust-agent/HisPrivacyCAWebServices2/target/HisPrivacyCAWebServices2.war \
    -d %{buildroot}%{_datadir}/oat-appraiser/webapps/HisPrivacyCAWebServices2
rm -rf %{buildroot}%{_datadir}/oat-appraiser/webapps/HisPrivacyCAWebServices2/WEB-INF/lib
install -D -m 755 %{SOURCE1} %{buildroot}%{_datadir}/oat-appraiser
install -D -m 755 %{SOURCE2} %{buildroot}%{_datadir}/oat-appraiser
install -D -m 755 %{SOURCE3} %{buildroot}%{_datadir}/oat-appraiser

###################
####   client  ####
###################
install -d %{buildroot}%{_sysconfdir}/oat-client
install -d %{buildroot}%{_sharedstatedir}/oat-client
install -d %{buildroot}%{_sharedstatedir}/oat-client/data
install -d %{buildroot}%{_sharedstatedir}/oat-client/cert
install -d %{buildroot}%{_datadir}/oat-client
install -d %{buildroot}%{_datadir}/java/oat-client
install -D -m 755 trust-agent/TrustAgentLinuxInstaller/src/files/commands/TPMModule/plain/linux/NIARL_TPM_Module \
    %{buildroot}%{_bindir}/NIARL_TPM_Module
install -D -m 755 trust-agent/TrustAgentLinuxInstaller/src/files/pcakey \
    %{buildroot}%{_bindir}/pcakey
install -D -m 755 trust-agent/TrustAgentLinuxInstaller/src/files/tagent \
    %{buildroot}%{_bindir}/tagent
install -D -m 755 trust-agent/TrustAgentLinuxInstaller/src/files/functions \
    %{buildroot}%{_datadir}/oat-client
install -D -m 755 trust-agent/TrustAgentLinuxInstaller/src/etc/version \
    %{buildroot}%{_datadir}/oat-client
install -D -m 755 trust-agent/TrustAgentLinuxInstaller/src/files/TPMModule.properties \
    %{buildroot}%{_sysconfdir}/oat-client
install -D -m 755 trust-agent/TrustAgentLinuxInstaller/src/files/trustagent.properties \
    %{buildroot}%{_sysconfdir}/oat-client
install -D -m 755 trust-agent/TrustAgentLinuxInstaller/src/files/hisprovisioner.properties \
    %{buildroot}%{_sysconfdir}/oat-client
install -D -m 755 trust-agent/TrustAgent/target/TrustAgent-2.2.jar \
    %{buildroot}%{_datadir}/java/TrustAgent.jar
install -D -m 755 common/io/target/oat-io-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-client
install -D -m 755 common/crypto/target/oat-crypto-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-client
install -D -m 755 common/jpa/target/oat-jpa-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-client
install -D -m 755 services/webservice-util/target/webservice-util-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-client
install -D -m 755 trust-agent/HisPrivacyCAWebServices2/target/HisPrivacyCAWebServices2-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-client
install -D -m 755 trust-agent/PrivacyCA/target/PrivacyCA-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-client
install -D -m 755 integration/api-client-jar/target/api-client-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 integration/http-authorization/target/http-authorization-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-client
install -D -m 755 integration/api-datatypes-jar/target/api-datatypes-2.2.jar \
    %{buildroot}%{_datadir}/java/oat-appraiser
install -D -m 755 %{SOURCE4} %{buildroot}%{_unitdir}/tagent.service
#####################
#### commandtool ####
#####################
install -p -D -m 755 CommandTool/oat_* %{buildroot}%{_bindir}

#####################
###       doc    ####
#####################

#####################
###   javadoc    ####
#####################
install -p -D -m 755 docs/MUST_READ_1st.htm  %{buildroot}%{_javadocdir}/oat.html

%postun appraiser
if [ $1 = 0 ]; then
	line="`grep -n "<\/Service>" %{_datadir}/tomcat/conf/server.xml | \
	       awk -F: '{print $1}'`"
	line=$[$line - 1]
	str="`sed -n "$line p" %{_datadir}/tomcat/conf/server.xml | grep "Connector"`"
	[[ ! -z $str ]] && \
	    sed -i "$line d" %{_datadir}/tomcat/conf/server.xml
fi

%post client
%systemd_post tagent.service

%preun client
%systemd_preun tagent.service

%postun client
%systemd_postun_with_restart tagent.service

%files appraiser
%{_sysconfdir}/intel/cloudsecurity
%{_sharedstatedir}/oat-appraiser
%{_datadir}/tomcat/Certificate
%{_datadir}/oat-appraiser
%{_localstatedir}/log/oat
%{_datadir}/java/oat-appraiser

%files client
%{_sysconfdir}/oat-client
%{_bindir}/tagent
%{_bindir}/pcakey
%{_bindir}/NIARL_TPM_Module
%{_sharedstatedir}/oat-client
%{_datadir}/java/TrustAgent.jar
%{_datadir}/oat-client
%{_datadir}/java/oat-client
%{_unitdir}/tagent.service

%files commandtool
%{_bindir}/oat_*

%files doc
%{_javadocdir}/oat.html

%files javadoc
%{_javadocdir}/oat.html
